Bug 128978 - please split /dev/[tp]ty[a-z]* into a separate rpm
Summary: please split /dev/[tp]ty[a-z]* into a separate rpm
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: MAKEDEV (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-02 16:16 UTC by Russell Coker
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 3.12.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-14 15:25:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Russell Coker 2004-08-02 16:16:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) (KHTML, like Gecko)

Description of problem:
Some programs such as sshd prefer the old-style pseudo-tty entries to the Unix98 ones.

It is impossible to support the old-style pseudo-tty entries in SE Linux.  I can add dontaudit rules for them, but such rules may conceal more important issues.  Otherwise there are excessive audit entries created from these device nodes.

It would be most convenient for SE Linux users if the /dev/tty[abcdepqrstuvwxyz][0-9a-f] and /dev/pty[abcdepqrstuvwxyz][0-9a-f] device nodes were in a separate package that could be easily removed from a SE Linux system.

Currently I just rm them, but they keep re-appearing on upgrades.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
install package dev on a SE Linux system.

Actual Results:  lots of annoying audit messages.

Additional info:

Comment 1 Nalin Dahyabhai 2004-08-26 00:53:06 UTC
We're not building with CONFIG_LEGACY_PTYS any more.  Does this
prevent the audit errors from occurring?

Comment 2 Nalin Dahyabhai 2004-09-14 15:25:19 UTC
As of MAKEDEV 3.12.1, the dev package is no more, so those nodes don't
exist in any package.


Note You need to log in before you can comment on or make changes to this bug.